Bug 4740 - Steam не работает с проприетарным драйвером fglrx
: Steam не работает с проприетарным драйвером fglrx
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: Eugene Shatokhin
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-27 16:35 MSK by Eugene Shatokhin
Modified: 2014-12-12 15:11 MSK (History)
0 users

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2014-11-27 16:35:04 MSK
Железо и логи:

http://hw.rosalinux.ru/index.php?probe=3f1897f10b

Steam падает при запуске: не находит либы /usr/X11R6/lib/modules/dri/fglrx_dri.so
Однако такой файл есть: /usr/lib/dri/fglrx_dri.so

Проблема решается так:
sudo mkdir -p /usr/X11R6/lib/modules/dri/
sudo ln -snf /usr/lib/dri/fglrx_dri.so /usr/X11R6/lib/modules/dri/fglrx_dri.so

Стоит доработать сборку fglrx, чтобы это делалось автоматически.
Comment 1 Eugene Shatokhin 2014-11-28 14:43:55 MSK
Можно попробовать обновить пакеты с fglrx отсюда:

i586: https://abf.io/build_lists/2345666
x86_64: https://abf.io/build_lists/2345667

Я там добавил созданиие соотв. symlinks.
Comment 2 Eugene Shatokhin 2014-12-12 15:11:23 MSK
Fixed in fglrx 14.301.1001-3.